Creates a LAM information page in PDF format.

package | PDF
author | Michael Duergner
author | Roland Gruber

### Methods

## AcceptPageBreak()

    AcceptPageBreak()

Inherited

inherited_from | \UFPDF::AcceptPageBreak()

## AddFont()

    AddFont($family, $style, $file)

Inherited

inherited_from | \UFPDF::AddFont()

### Parameters

#### $family

#### $style

#### $file

## AddLink()

    AddLink()

Inherited

inherited_from | \FPDF::AddLink()
inherited_from | \UFPDF::AddLink()

## AddPage()

    AddPage($orientation, $size)

Inherited

inherited_from | \FPDF::AddPage()
inherited_from | \UFPDF::AddPage()

### Parameters

#### $orientation

#### $size

## AliasNbPages()

    AliasNbPages($alias)

Inherited

inherited_from | \UFPDF::AliasNbPages()

### Parameters

#### $alias

## Cell()

    Cell($w, $h, $txt, $border, $ln, $align, $fill, $link)

Inherited

inherited_from | \UFPDF::Cell()

### Parameters

#### $w

#### $h

#### $txt

#### $border

#### $ln

#### $align

#### $fill

#### $link

## Close()

    Close()

Inherited

inherited_from | \FPDF::Close()
inherited_from | \UFPDF::Close()

## Error()

    Error($msg)

Inherited

inherited_from | \FPDF::Error()
inherited_from | \UFPDF::Error()

### Parameters

#### $msg

## FPDF()

    FPDF($orientation, $unit, $size)

Inherited

inherited_from | \FPDF::FPDF()
inherited_from | \UFPDF::FPDF()

### Parameters

#### $orientation

#### $unit

#### $size

## GetStringWidth()

    GetStringWidth($s)

Inherited

inherited_from | \UFPDF::GetStringWidth()

### Parameters

#### $s

## GetX()

    GetX()

Inherited

inherited_from | \FPDF::GetX()
inherited_from | \UFPDF::GetX()

## GetY()

    GetY()

Inherited

inherited_from | \FPDF::GetY()
inherited_from | \UFPDF::GetY()

## Header()

    Header()

Inherited

inherited_from | \FPDF::Header()
inherited_from | \UFPDF::Header()

## Image()

    Image($file, $x, $y, $w, $h, $type, $link)

Inherited

inherited_from | \FPDF::Image()
inherited_from | \UFPDF::Image()

### Parameters

#### $file

#### $x

#### $y

#### $w

#### $h

#### $type

#### $link

## Line()

    Line($x1, $y1, $x2, $y2)

Inherited

inherited_from | \FPDF::Line()
inherited_from | \UFPDF::Line()

### Parameters

#### $x1

#### $y1

#### $x2

#### $y2

## Link()

    Link($x, $y, $w, $h, $link)

Inherited

inherited_from | \FPDF::Link()
inherited_from | \UFPDF::Link()

### Parameters

#### $x

#### $y

#### $w

#### $h

#### $link

## Ln()

    Ln($h)

Inherited

inherited_from | \FPDF::Ln()
inherited_from | \UFPDF::Ln()

### Parameters

#### $h

## MultiCell()

    MultiCell($w, $h, $txt, $border, $align, $fill)

Inherited

inherited_from | \UFPDF::MultiCell()

### Parameters

#### $w

#### $h

#### $txt

#### $border

#### $align

#### $fill

## Open()

    Open()

Inherited

inherited_from | \FPDF::Open()
inherited_from | \UFPDF::Open()

## Output()

    Output($name, $dest)

Inherited

inherited_from | \FPDF::Output()
inherited_from | \UFPDF::Output()

### Parameters

#### $name

#### $dest

## PageNo()

    PageNo()

Inherited

inherited_from | \FPDF::PageNo()
inherited_from | \UFPDF::PageNo()

## Rect()

    Rect($x, $y, $w, $h, $style)

Inherited

inherited_from | \FPDF::Rect()
inherited_from | \UFPDF::Rect()

### Parameters

#### $x

#### $y

#### $w

#### $h

#### $style

## SetAuthor()

    SetAuthor($author, $isUTF8)

Inherited

inherited_from | \FPDF::SetAuthor()
inherited_from | \UFPDF::SetAuthor()

### Parameters

#### $author

#### $isUTF8

## SetAutoPageBreak()

    SetAutoPageBreak($auto, $margin)

Inherited

inherited_from | \FPDF::SetAutoPageBreak()
inherited_from | \UFPDF::SetAutoPageBreak()

### Parameters

#### $auto

#### $margin

## SetCompression()

    SetCompression($compress)

Inherited

inherited_from | \FPDF::SetCompression()
inherited_from | \UFPDF::SetCompression()

### Parameters

#### $compress

## SetCreator()

    SetCreator($creator, $isUTF8)

Inherited

inherited_from | \FPDF::SetCreator()
inherited_from | \UFPDF::SetCreator()

### Parameters

#### $creator

#### $isUTF8

## SetDisplayMode()

    SetDisplayMode($zoom, $layout)

Inherited

inherited_from | \FPDF::SetDisplayMode()
inherited_from | \UFPDF::SetDisplayMode()

### Parameters

#### $zoom

#### $layout

## SetDrawColor()

    SetDrawColor($r, $g, $b)

Inherited

inherited_from | \FPDF::SetDrawColor()
inherited_from | \UFPDF::SetDrawColor()

### Parameters

#### $r

#### $g

#### $b

## SetFillColor()

    SetFillColor($r, $g, $b)

Inherited

inherited_from | \FPDF::SetFillColor()
inherited_from | \UFPDF::SetFillColor()

### Parameters

#### $r

#### $g

#### $b

## SetFont()

    SetFont($family, $style, $size)

Inherited

inherited_from | \FPDF::SetFont()
inherited_from | \UFPDF::SetFont()

### Parameters

#### $family

#### $style

#### $size

## SetFontSize()

    SetFontSize($size)

Inherited

inherited_from | \FPDF::SetFontSize()
inherited_from | \UFPDF::SetFontSize()

### Parameters

#### $size

## SetKeywords()

    SetKeywords($keywords, $isUTF8)

Inherited

inherited_from | \FPDF::SetKeywords()
inherited_from | \UFPDF::SetKeywords()

### Parameters

#### $keywords

#### $isUTF8

## SetLeftMargin()

    SetLeftMargin($margin)

Inherited

inherited_from | \FPDF::SetLeftMargin()
inherited_from | \UFPDF::SetLeftMargin()

### Parameters

#### $margin

## SetLineWidth()

    SetLineWidth($width)

Inherited

inherited_from | \FPDF::SetLineWidth()
inherited_from | \UFPDF::SetLineWidth()

### Parameters

#### $width

## SetLink()

    SetLink($link, $y, $page)

Inherited

inherited_from | \FPDF::SetLink()
inherited_from | \UFPDF::SetLink()

### Parameters

#### $link

#### $y

#### $page

## SetMargins()

    SetMargins($left, $top, $right)

Inherited

inherited_from | \FPDF::SetMargins()
inherited_from | \UFPDF::SetMargins()

### Parameters

#### $left

#### $top

#### $right

## SetRightMargin()

    SetRightMargin($margin)

Inherited

inherited_from | \FPDF::SetRightMargin()
inherited_from | \UFPDF::SetRightMargin()

### Parameters

#### $margin

## SetSubject()

    SetSubject($subject, $isUTF8)

Inherited

inherited_from | \FPDF::SetSubject()
inherited_from | \UFPDF::SetSubject()

### Parameters

#### $subject

#### $isUTF8

## SetTextColor()

    SetTextColor($r, $g, $b)

Inherited

inherited_from | \FPDF::SetTextColor()
inherited_from | \UFPDF::SetTextColor()

### Parameters

#### $r

#### $g

#### $b

## SetTitle()

    SetTitle($title, $isUTF8)

Inherited

inherited_from | \FPDF::SetTitle()
inherited_from | \UFPDF::SetTitle()

### Parameters

#### $title

#### $isUTF8

## SetTopMargin()

    SetTopMargin($margin)

Inherited

inherited_from | \FPDF::SetTopMargin()
inherited_from | \UFPDF::SetTopMargin()

### Parameters

#### $margin

## SetX()

    SetX($x)

Inherited

inherited_from | \FPDF::SetX()
inherited_from | \UFPDF::SetX()

### Parameters

#### $x

## SetXY()

    SetXY($x, $y)

Inherited

inherited_from | \FPDF::SetXY()
inherited_from | \UFPDF::SetXY()

### Parameters

#### $x

#### $y

## SetY()

    SetY($y)

Inherited

inherited_from | \FPDF::SetY()
inherited_from | \UFPDF::SetY()

### Parameters

#### $y

## Text()

    Text($x, $y, $txt)

Inherited

inherited_from | \UFPDF::Text()

### Parameters

#### $x

#### $y

#### $txt

## UFPDF()

    UFPDF($orientation, $unit, $format)

Inherited

inherited_from | \UFPDF::UFPDF()

### Parameters

#### $orientation

#### $unit

#### $format

## Write()

    Write($h, $txt, $link)

Inherited

inherited_from | \UFPDF::Write()

### Parameters

#### $h

#### $txt

#### $link

## _UTF8toUTF16()

    _UTF8toUTF16($s)

Inherited

inherited_from | \FPDF::_UTF8toUTF16()
inherited_from | \UFPDF::_UTF8toUTF16()

### Parameters

#### $s

## Creates a new lamPDF object.

    __construct(array $page_definitions, String $fontName)

### Parameters

#### $page_definitions

`array`

page settings

#### $fontName

`String`

font name

## _beginpage()

    _beginpage($orientation, $size)

Inherited

inherited_from | \FPDF::_beginpage()
inherited_from | \UFPDF::_beginpage()

### Parameters

#### $orientation

#### $size

## _checkoutput()

    _checkoutput()

Inherited

inherited_from | \FPDF::_checkoutput()
inherited_from | \UFPDF::_checkoutput()

## _dochecks()

    _dochecks()

Inherited

inherited_from | \FPDF::_dochecks()
inherited_from | \UFPDF::_dochecks()

## _dounderline()

    _dounderline($x, $y, $txt)

Inherited

inherited_from | \FPDF::_dounderline()
inherited_from | \UFPDF::_dounderline()

### Parameters

#### $x

#### $y

#### $txt

## _dounderlineU()

    _dounderlineU($x, $y, $width, $txt)

Inherited

inherited_from | \UFPDF::_dounderlineU()

### Parameters

#### $x

#### $y

#### $width

#### $txt

## _enddoc()

    _enddoc()

Inherited

inherited_from | \FPDF::_enddoc()
inherited_from | \UFPDF::_enddoc()

## _endpage()

    _endpage()

Inherited

inherited_from | \FPDF::_endpage()
inherited_from | \UFPDF::_endpage()

## _escape()

    _escape($s)

Inherited

inherited_from | \FPDF::_escape()
inherited_from | \UFPDF::_escape()

### Parameters

#### $s

## _escapetext()

    _escapetext($s)

Inherited

inherited_from | \UFPDF::_escapetext()

### Parameters

#### $s

## _getpagesize()

    _getpagesize($size)

Inherited

inherited_from | \FPDF::_getpagesize()
inherited_from | \UFPDF::_getpagesize()

### Parameters

#### $size

## _loadfont()

    _loadfont($font)

Inherited

inherited_from | \FPDF::_loadfont()
inherited_from | \UFPDF::_loadfont()

### Parameters

#### $font

## _newobj()

    _newobj()

Inherited

inherited_from | \FPDF::_newobj()
inherited_from | \UFPDF::_newobj()

## _out()

    _out($s)

Inherited

inherited_from | \FPDF::_out()
inherited_from | \UFPDF::_out()

### Parameters

#### $s

## _parsegif()

    _parsegif($file)

Inherited

inherited_from | \FPDF::_parsegif()
inherited_from | \UFPDF::_parsegif()

### Parameters

#### $file

## _parsejpg()

    _parsejpg($file)

Inherited

inherited_from | \FPDF::_parsejpg()
inherited_from | \UFPDF::_parsejpg()

### Parameters

#### $file

## _parsepng()

    _parsepng($file)

Inherited

inherited_from | \FPDF::_parsepng()
inherited_from | \UFPDF::_parsepng()

### Parameters

#### $file

## _parsepngstream()

    _parsepngstream($f, $file)

Inherited

inherited_from | \FPDF::_parsepngstream()
inherited_from | \UFPDF::_parsepngstream()

### Parameters

#### $f

#### $file

## _putcatalog()

    _putcatalog()

Inherited

inherited_from | \FPDF::_putcatalog()
inherited_from | \UFPDF::_putcatalog()

## _putfonts()

    _putfonts()

Inherited

inherited_from | \FPDF::_putfonts()
inherited_from | \UFPDF::_putfonts()

## _putheader()

    _putheader()

Inherited

inherited_from | \FPDF::_putheader()
inherited_from | \UFPDF::_putheader()

## _putimage()

    _putimage($info)

Inherited

inherited_from | \FPDF::_putimage()
inherited_from | \UFPDF::_putimage()

### Parameters

#### $info

## _putimages()

    _putimages()

Inherited

inherited_from | \FPDF::_putimages()
inherited_from | \UFPDF::_putimages()

## _putinfo()

    _putinfo()

Inherited

inherited_from | \UFPDF::_putinfo()

## _putpages()

    _putpages()

Inherited

inherited_from | \UFPDF::_putpages()

## _putresourcedict()

    _putresourcedict()

Inherited

inherited_from | \FPDF::_putresourcedict()
inherited_from | \UFPDF::_putresourcedict()

## _putresources()

    _putresources()

Inherited

inherited_from | \FPDF::_putresources()
inherited_from | \UFPDF::_putresources()

## _putstream()

    _putstream($s)

Inherited

inherited_from | \FPDF::_putstream()
inherited_from | \UFPDF::_putstream()

### Parameters

#### $s

## _puttrailer()

    _puttrailer()

Inherited

inherited_from | \FPDF::_puttrailer()
inherited_from | \UFPDF::_puttrailer()

## _puttruetypeunicode()

    _puttruetypeunicode($font)

Inherited

inherited_from | \UFPDF::_puttruetypeunicode()

### Parameters

#### $font

## _putxobjectdict()

    _putxobjectdict()

Inherited

inherited_from | \FPDF::_putxobjectdict()
inherited_from | \UFPDF::_putxobjectdict()

## _readint()

    _readint($f)

Inherited

inherited_from | \FPDF::_readint()
inherited_from | \UFPDF::_readint()

### Parameters

#### $f

## _readstream()

    _readstream($f, $n)

Inherited

inherited_from | \FPDF::_readstream()
inherited_from | \UFPDF::_readstream()

### Parameters

#### $f

#### $n

## _textstring()

    _textstring($s)

Inherited

inherited_from | \UFPDF::_textstring()

### Parameters

#### $s

## code2utf()

    code2utf($num)

Inherited

inherited_from | \UFPDF::code2utf()

### Parameters

#### $num

## Creates the PDF page header.

    header()

## strlen()

    strlen($s)

Inherited

inherited_from | \UFPDF::strlen()

### Parameters

#### $s

## utf8_substr()

    utf8_substr($str, $start)

Inherited

inherited_from | \UFPDF::utf8_substr()

### Parameters

#### $str

#### $start

## utf8_to_codepoints()

    utf8_to_codepoints($txt)

Inherited

inherited_from | \UFPDF::utf8_to_codepoints()

### Parameters

#### $txt

## utf8_to_utf16be()

    utf8_to_utf16be($txt, $bom)

Inherited

inherited_from | \UFPDF::utf8_to_utf16be()

### Parameters

#### $txt

#### $bom

### Properties

## $AliasNbPages

    $AliasNbPages

Inherited

inherited_from | \FPDF::$$AliasNbPages
inherited_from | \UFPDF::$$AliasNbPages

## $AutoPageBreak

    $AutoPageBreak

Inherited

inherited_from | \FPDF::$$AutoPageBreak
inherited_from | \UFPDF::$$AutoPageBreak

## $ColorFlag

    $ColorFlag

Inherited

inherited_from | \FPDF::$$ColorFlag
inherited_from | \UFPDF::$$ColorFlag

## $CoreFonts

    $CoreFonts

Inherited

inherited_from | \FPDF::$$CoreFonts
inherited_from | \UFPDF::$$CoreFonts

## $CurOrientation

    $CurOrientation

Inherited

inherited_from | \FPDF::$$CurOrientation
inherited_from | \UFPDF::$$CurOrientation

## $CurPageSize

    $CurPageSize

Inherited

inherited_from | \FPDF::$$CurPageSize
inherited_from | \UFPDF::$$CurPageSize

## $CurrentFont

    $CurrentFont

Inherited

inherited_from | \FPDF::$$CurrentFont
inherited_from | \UFPDF::$$CurrentFont

## $DefOrientation

    $DefOrientation

Inherited

inherited_from | \FPDF::$$DefOrientation
inherited_from | \UFPDF::$$DefOrientation

## $DefPageSize

    $DefPageSize

Inherited

inherited_from | \FPDF::$$DefPageSize
inherited_from | \UFPDF::$$DefPageSize

## $DrawColor

    $DrawColor

Inherited

inherited_from | \FPDF::$$DrawColor
inherited_from | \UFPDF::$$DrawColor

## $FillColor

    $FillColor

Inherited

inherited_from | \FPDF::$$FillColor
inherited_from | \UFPDF::$$FillColor

## $FontFamily

    $FontFamily

Inherited

inherited_from | \FPDF::$$FontFamily
inherited_from | \UFPDF::$$FontFamily

## $FontFiles

    $FontFiles

Inherited

inherited_from | \FPDF::$$FontFiles
inherited_from | \UFPDF::$$FontFiles

## $FontSize

    $FontSize

Inherited

inherited_from | \FPDF::$$FontSize
inherited_from | \UFPDF::$$FontSize

## $FontSizePt

    $FontSizePt

Inherited

inherited_from | \FPDF::$$FontSizePt
inherited_from | \UFPDF::$$FontSizePt

## $FontStyle

    $FontStyle

Inherited

inherited_from | \FPDF::$$FontStyle
inherited_from | \UFPDF::$$FontStyle

## $InHeader

    $InHeader

Inherited

inherited_from | \FPDF::$$InHeader
inherited_from | \UFPDF::$$InHeader

## $LayoutMode

    $LayoutMode

Inherited

inherited_from | \FPDF::$$LayoutMode
inherited_from | \UFPDF::$$LayoutMode

## $LineWidth

    $LineWidth

Inherited

inherited_from | \FPDF::$$LineWidth
inherited_from | \UFPDF::$$LineWidth

## $PDFVersion

    $PDFVersion

Inherited

inherited_from | \FPDF::$$PDFVersion
inherited_from | \UFPDF::$$PDFVersion

## $PageBreakTrigger

    $PageBreakTrigger

Inherited

inherited_from | \FPDF::$$PageBreakTrigger
inherited_from | \UFPDF::$$PageBreakTrigger

## $PageLinks

    $PageLinks

Inherited

inherited_from | \FPDF::$$PageLinks
inherited_from | \UFPDF::$$PageLinks

## $PageSizes

    $PageSizes

Inherited

inherited_from | \FPDF::$$PageSizes
inherited_from | \UFPDF::$$PageSizes

## $StdPageSizes

    $StdPageSizes

Inherited

inherited_from | \FPDF::$$StdPageSizes
inherited_from | \UFPDF::$$StdPageSizes

## $TextColor

    $TextColor

Inherited

inherited_from | \FPDF::$$TextColor
inherited_from | \UFPDF::$$TextColor

## $ZoomMode

    $ZoomMode

Inherited

inherited_from | \FPDF::$$ZoomMode
inherited_from | \UFPDF::$$ZoomMode

## $author

    $author

Inherited

inherited_from | \FPDF::$$author
inherited_from | \UFPDF::$$author

## $bMargin

    $bMargin

Inherited

inherited_from | \FPDF::$$bMargin
inherited_from | \UFPDF::$$bMargin

## $buffer

    $buffer

Inherited

inherited_from | \FPDF::$$buffer
inherited_from | \UFPDF::$$buffer

## $cMargin

    $cMargin

Inherited

inherited_from | \FPDF::$$cMargin
inherited_from | \UFPDF::$$cMargin

## $compress

    $compress

Inherited

inherited_from | \FPDF::$$compress
inherited_from | \UFPDF::$$compress

## $creator

    $creator

Inherited

inherited_from | \FPDF::$$creator
inherited_from | \UFPDF::$$creator

## $diffs

    $diffs

Inherited

inherited_from | \FPDF::$$diffs
inherited_from | \UFPDF::$$diffs

## $fontpath

    $fontpath

Inherited

inherited_from | \FPDF::$$fontpath
inherited_from | \UFPDF::$$fontpath

## $fonts

    $fonts

Inherited

inherited_from | \FPDF::$$fonts
inherited_from | \UFPDF::$$fonts

## $h

    $h

Inherited

inherited_from | \FPDF::$$h
inherited_from | \UFPDF::$$h

## $hPt

    $hPt

Inherited

inherited_from | \FPDF::$$hPt
inherited_from | \UFPDF::$$hPt

## $images

    $images

Inherited

inherited_from | \FPDF::$$images
inherited_from | \UFPDF::$$images

## $k

    $k

Inherited

inherited_from | \FPDF::$$k
inherited_from | \UFPDF::$$k

## $keywords

    $keywords

Inherited

inherited_from | \FPDF::$$keywords
inherited_from | \UFPDF::$$keywords

## $lMargin

    $lMargin

Inherited

inherited_from | \FPDF::$$lMargin
inherited_from | \UFPDF::$$lMargin

## $lasth

    $lasth

Inherited

inherited_from | \FPDF::$$lasth
inherited_from | \UFPDF::$$lasth

## $links

    $links

Inherited

inherited_from | \FPDF::$$links
inherited_from | \UFPDF::$$links

## $n

    $n

Inherited

inherited_from | \FPDF::$$n
inherited_from | \UFPDF::$$n

## $offsets

    $offsets

Inherited

inherited_from | \FPDF::$$offsets
inherited_from | \UFPDF::$$offsets

## $page

    $page

Inherited

inherited_from | \FPDF::$$page
inherited_from | \UFPDF::$$page

## $pages

    $pages

Inherited

inherited_from | \FPDF::$$pages
inherited_from | \UFPDF::$$pages

## $rMargin

    $rMargin

Inherited

inherited_from | \FPDF::$$rMargin
inherited_from | \UFPDF::$$rMargin

## $state

    $state

Inherited

inherited_from | \FPDF::$$state
inherited_from | \UFPDF::$$state

## $subject

    $subject

Inherited

inherited_from | \FPDF::$$subject
inherited_from | \UFPDF::$$subject

## $tMargin

    $tMargin

Inherited

inherited_from | \FPDF::$$tMargin
inherited_from | \UFPDF::$$tMargin

## $title

    $title

Inherited

inherited_from | \FPDF::$$title
inherited_from | \UFPDF::$$title

## $underline

    $underline

Inherited

inherited_from | \FPDF::$$underline
inherited_from | \UFPDF::$$underline

## $w

    $w

Inherited

inherited_from | \FPDF::$$w
inherited_from | \UFPDF::$$w

## $wPt

    $wPt

Inherited

inherited_from | \FPDF::$$wPt
inherited_from | \UFPDF::$$wPt

## $ws

    $ws

Inherited

inherited_from | \FPDF::$$ws
inherited_from | \UFPDF::$$ws

## $x

    $x

Inherited

inherited_from | \FPDF::$$x
inherited_from | \UFPDF::$$x

## $y

    $y

Inherited

inherited_from | \FPDF::$$y
inherited_from | \UFPDF::$$y

## list of supported fonts format: <font name> => array(<file for default font style>, <file for bold>, <italic>, <bold italic>)

    $fontList

## current active font name

    $fontName

## format settings for page layout

    $page_definitions